Skip to main content
GET
/
v1
/
sdk
/
products
/
{productRef}
/
plans
List plans for a product
curl --request GET \
  --url https://api.example.com/v1/sdk/products/{productRef}/plans
{
  "limit": 123,
  "offset": 123,
  "plans": [
    {
      "createdAt": "<string>",
      "currency": "USD",
      "isActive": true,
      "price": 2999,
      "reference": "pln_1A2B3C4D",
      "requiresPayment": true,
      "status": "active",
      "type": "recurring",
      "updatedAt": "<string>",
      "accessExpiryDays": 123,
      "billingCycle": "monthly",
      "billingModel": "pre-paid",
      "creditsPerUnit": 1,
      "currencySymbol": "$",
      "description": "Best for teams getting started",
      "features": {},
      "freeUnits": 100,
      "limit": 10000,
      "limits": {},
      "maxActiveUsers": 123,
      "measures": "requests",
      "meterRef": "mtr_1A2B3C4D",
      "name": "Starter",
      "rolloverUnusedUnits": false,
      "setupFee": 500,
      "trialDays": 14
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.solvapay.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

productRef
string
required

Product reference or ID

Query Parameters

limit
number
offset
number

Response

Plans retrieved successfully

limit
number
offset
number
plans
object[]
total
number

Total number of plans for the product